summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2004-08-18 02:39:27 +0000
committerMike Frysinger <vapier@gentoo.org>2004-08-18 02:39:27 +0000
commit9cab5c32cb74ef2f3228ee44eb54cfb16e7fb171 (patch)
tree4b22552dfd2d59d43a4f406851a694dce82440cf /scripts
parentstable on ppc64, bug #58311 (diff)
downloadhistorical-9cab5c32cb74ef2f3228ee44eb54cfb16e7fb171.tar.gz
historical-9cab5c32cb74ef2f3228ee44eb54cfb16e7fb171.tar.bz2
historical-9cab5c32cb74ef2f3228ee44eb54cfb16e7fb171.zip
dont let users shoot themselves
Diffstat (limited to 'scripts')
-rw-r--r--scripts/bootstrap-cascade.sh11
-rwxr-xr-xscripts/bootstrap.sh14
2 files changed, 18 insertions, 7 deletions
diff --git a/scripts/bootstrap-cascade.sh b/scripts/bootstrap-cascade.sh
index d1e2e7fe4194..07be8df210d5 100644
--- a/scripts/bootstrap-cascade.sh
+++ b/scripts/bootstrap-cascade.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 1999-2004 Gento Foundation.
# Distributed under the terms of the GNU General Public License, v2
-# $Header: /var/cvsroot/gentoo-x86/scripts/bootstrap-cascade.sh,v 1.10 2004/08/02 17:51:51 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/scripts/bootstrap-cascade.sh,v 1.11 2004/08/18 02:39:27 vapier Exp $
# drobbins optimized this script at some point which made a bootstrap
# to complete 20 mins to 2 hours faster, depending on CPU. He did this
@@ -35,8 +35,13 @@ for opt in $* ; do
done
MYPROFILEDIR="`readlink -f /etc/make.profile`"
-if [ ! -d ${MYPROFILEDIR} ]; then
- echo "!!! Error: ${MYPROFILEDIR} does not exist. Exiting."
+if [ ! -d "${MYPROFILEDIR}" ] ; then
+ echo "!!! Error: '${MYPROFILEDIR}' does not exist. Exiting."
+ exit 1
+fi
+
+if [ ! -f "${MYPROFILEDIR}/parent" ] ; then
+ echo "!!! Error: You must use 'bootstrap.sh' with non-cascading profiles. Exiting."
exit 1
fi
diff --git a/scripts/bootstrap.sh b/scripts/bootstrap.sh
index 25444bac1309..9d5d2758dd36 100755
--- a/scripts/bootstrap.sh
+++ b/scripts/bootstrap.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License, v2
-# $Header: /var/cvsroot/gentoo-x86/scripts/bootstrap.sh,v 1.57 2004/08/13 13:44:28 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/scripts/bootstrap.sh,v 1.58 2004/08/18 02:39:27 vapier Exp $
# IMPORTANT NOTE:
# This script no longer accepts an optional argument.
@@ -29,12 +29,18 @@ then
fi
MYPROFILEDIR="`readlink -f /etc/make.profile`"
-if [ ! -d ${MYPROFILEDIR} ]
+if [ ! -d "${MYPROFILEDIR}" ]
then
- echo "!!! Error: ${MYPROFILEDIR} does not exist. Exiting."
+ echo "!!! Error: '${MYPROFILEDIR}' does not exist. Exiting."
exit 1
fi
-
+
+if [ -f "${MYPROFILEDIR}/parent" ]
+then
+ echo "!!! Error: You must use 'bootstrap-cascade.sh' with cascading profiles. Exiting."
+ exit 1
+fi
+
if [ -e /usr/bin/spython ]
then
# 1.0_rc6 and earlier